searchData={"items":[{"type":"module","title":"Excon","doc":"Pure Elixir identicon creator\n\nThis module dispatches to the appropriate image format based on the options provided.","ref":"Excon.html"},{"type":"function","title":"Excon.ident/2","doc":"Create an indenticon from an identifying string.\n\nOptions\n  - `type`: :png or :svg  (default: :png)\n  - `filename`: a string for the file name (default: nil, image data is returned)\n  - `magnification`: how many times to magnify the 8x8 pattern (default: 4)\n  - `base64`: should output be base64 encoded (default: false, filename overrides)","ref":"Excon.html#ident/2"},{"type":"function","title":"Examples - Excon.ident/2","doc":"iex> Excon.ident(\"ExCon\", base64: true)\n    \"iVBORw0KGgoAAAANSUhEUgAAACAAAAAgCAMAAABEpIrGAAAADFBMVEXwwNjmqNT62dn/0tL9+OiNAAAAAklEQVR4nGKkkSsAAABBSURBVGNghAJmIGCCAhAbJs5ABwUwDkiCAQpAbJgmeiiAM4AA7jAggGmklwKYJCygkMVGkoKBjovBkiZhnAHKmwBcxQWBMC75hwAAAABJRU5ErkJggg==\"\n\n    iex> Excon.ident(\"ExCon\", maginification: 8, filename: \"Excon64\")\n    :ok","ref":"Excon.html#ident/2-examples"},{"type":"behaviour","title":"Excon.ImageMaker","doc":"Behaviour for creating images from a hash.","ref":"Excon.ImageMaker.html"},{"type":"callback","title":"Excon.ImageMaker.create_image/2","doc":"","ref":"Excon.ImageMaker.html#c:create_image/2"},{"type":"module","title":"Excon.ImageMaker.Duotone","doc":"The :duotone interface for ExCon.\n\nWith left--to-right symmetry and a two color palette these\nPNGs look a bit like GitHub identicons.","ref":"Excon.ImageMaker.Duotone.html"},{"type":"function","title":"Excon.ImageMaker.Duotone.create_image/2","doc":"Callback implementation for  Excon.ImageMaker.create_image/2 .","ref":"Excon.ImageMaker.Duotone.html#create_image/2"},{"type":"module","title":"Excon.ImageMaker.Framed","doc":"The :framed interface for ExCon.\n\nWith a four-color palette and a permuted path these\nSVGs look a bit like framed abstract art.","ref":"Excon.ImageMaker.Framed.html"},{"type":"function","title":"Excon.ImageMaker.Framed.create_image/2","doc":"Callback implementation for  Excon.ImageMaker.create_image/2 .","ref":"Excon.ImageMaker.Framed.html#create_image/2"},{"type":"module","title":"Excon.ImageMaker.Png","doc":"The :png interface for ExCon.\n\nWith left-to-right and top-to-bottom symmetry and a four color palette,\nthese PNGs look like 8-bit graphics.","ref":"Excon.ImageMaker.Png.html"},{"type":"function","title":"Excon.ImageMaker.Png.create_image/2","doc":"Callback implementation for  Excon.ImageMaker.create_image/2 .","ref":"Excon.ImageMaker.Png.html#create_image/2"},{"type":"module","title":"Excon.ImageMaker.Svg","doc":"The :svg interface for ExCon.\n\nWith background circles and an abstract path, these SVGs\nlook a bit like Slack identicons.","ref":"Excon.ImageMaker.Svg.html"},{"type":"function","title":"Excon.ImageMaker.Svg.create_image/2","doc":"Callback implementation for  Excon.ImageMaker.create_image/2 .","ref":"Excon.ImageMaker.Svg.html#create_image/2"},{"type":"module","title":"Excon.PNGUtils","doc":"Utility functions for ExCon PNG image processing.","ref":"Excon.PNGUtils.html"},{"type":"function","title":"Excon.PNGUtils.mirror/2","doc":"","ref":"Excon.PNGUtils.html#mirror/2"},{"type":"function","title":"Excon.PNGUtils.pattern_to_png/3","doc":"Converts a pattern to a PNG image data string.\nThe pattern is magnified by the given factor and uses the specified palette index.","ref":"Excon.PNGUtils.html#pattern_to_png/3"},{"type":"module","title":"Excon.Palettes","doc":"Some predefined palettes for ExCon.","ref":"Excon.Palettes.html"},{"type":"function","title":"Excon.Palettes.get/1","doc":"Returns a predefined palette by index.","ref":"Excon.Palettes.html#get/1"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.2"}}